be.vlaanderen.mercurius.mohm.schemas.v1

## Class MessageMetadataType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.MessageMetadataType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:07:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class MessageMetadataType
      extends Object
      implements Serializable

  Generiek type voor de algemene informatie van een bericht.

  Java class for MessageMetadataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MessageMetadataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SSIN" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}SSINType"/>
               <element name="EnterpriseNumber" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}EnterpriseNumberType"/>
               <element name="CareProviderReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareProviderReferenceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageMetadataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCareProviderReference()` Gets the value of the careProviderReference property.
    `String` | `getEnterpriseNumber()` Gets the value of the enterpriseNumber property.
    `String` | `getSSIN()` Gets the value of the ssin property.
    `void` | `setCareProviderReference(String value)` Sets the value of the careProviderReference property.
    `void` | `setEnterpriseNumber(String value)` Sets the value of the enterpriseNumber property.
    `void` | `setSSIN(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageMetadataType

          public MessageMetadataType()

  - ### Method Detail

    - #### getSSIN

          public String getSSIN()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSSIN

          public void setSSIN(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEnterpriseNumber

          public String getEnterpriseNumber()

      Gets the value of the enterpriseNumber property.
      Returns:
        possible object is `String`

    - #### setEnterpriseNumber

          public void setEnterpriseNumber(String value)

      Sets the value of the enterpriseNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCareProviderReference

          public String getCareProviderReference()

      Gets the value of the careProviderReference property.
      Returns:
        possible object is `String`

    - #### setCareProviderReference

          public void setCareProviderReference(String value)

      Sets the value of the careProviderReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.